OTBGUI_MANAGENODATA(1)

NAME
otbgui_ManageNoData - OTB ManageNoData application

DESCRIPTION
This is the ManageNoData application, version 5.2.0 Manage No-Data

Complete documentation: http://www.orfeo-toolbox.org/Applications/ManageNoData.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-usenan
    <boolean> Consider NaN as no-data (optional, off by default)

-mode
    <string> No-data handling mode [buildmask/changevalue/apply] (mandatory, default value is buildmask)

-mode.buildmask.inv
    <float> Inside Value (mandatory, default value is 1)

-mode.buildmask.outv
    <float> Outside Value (mandatory, default value is 0)

-mode.changevalue.newv <float>
    The new no-data value (mandatory, default value is 0)

-mode.apply.mask
    <string> Mask image (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_ManageNoData -in QB_Toulouse_Ortho_XS.tif -out QB_Toulouse_Ortho_XS_nodatamask.tif uint8 -mode.buildmask.inv 255 -mode.buildmask.outv 0

SEE ALSO
The full documentation for otbgui_ManageNoData is maintained as a Texinfo manual. If the info and otbgui_ManageNoData programs are properly installed at your site, the command

    info otbgui_ManageNoData

should give you access to the complete manual.